# Create agreement An agreement is an authorization link that the buyer receives to allow the seller to access their Mercado Pago wallet to debit the payment. **POST** `/v2/wallet_connect/agreements` ## Request parameters ### Header - `x-platform-id` (string, optional) Field intended for platforms or modules that offer Mercado Pago in their solutions. ### Query - `client.id` (number, optional) Unique ID that identifies a specific client. - `return_uri` (string, optional) URL that redirects the user back to the sellers site. - `external_flow_id` (string, optional) Identifies the Seller side flow current state. - `external_user` (object, optional) The external_user contains the data that the seller will need to use to indentify a User, so then it can continue with their own flow. - `external_user.id` (string, optional) Unique ID that is going to be used by the seller to identify the external_user. - `external_user.description` (string, optional) A brief description with information of the user. It can contains for example the name of the user. - `agreement_data` (object, optional) Contains information about actions the user must do and the amount to be paid. - `agreement_data.validation_amount` (number, optional) Amount that the user is going to pay. - `agreement_data.description` (string, optional) Description of the actions that the user is trying to perform. ## Response parameters - `agreement_id` (string, optional) Unique ID that identifies an agreement. - `agreement_uri` (string, optional) Esto es el uri para redirigir al usuario al enlace de la billetera en el frontend. . ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad-Request | ## Request example ### cURL ```bash curl -X POST \ 'https://api.mercadopago.com/v2/wallet_connect/agreements?client.id=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "return_uri": "https://www.mercadopago.com/", "external_flow_id": "EXTERNAL_FLOW_ID", "external_user": { "id": "usertest", "description": "Test account" }, "agreement_data": { "validation_amount": 3.14, "description": "Test agreement" } }' ``` ## Response example ```json { "agreement_id": "22abcd1235ed497f945f755fcaba3c6c", "agreement_uri": "https://wwww.mercadopago.com.ar/v1/wallet_agreement/22abcd1235ed497f945f755fcaba3c6c" } ```